<template>
  <div class="md-layout" v-if="showTerm">
    <md-card class="card-mt">
      <md-card-header>
        <p>{{ $t('terms_description') }}</p>
      </md-card-header>

      <md-card-content>
        <ul v-for="e in es" :key="e">
          <li class="text-danger">{{ e }}</li>
        </ul>

        <md-content v-html="termsOfService"></md-content>
      </md-card-content>
      <md-card-actions md-alignment="right">
        <a href="/console/"
          ><md-button
            class="md-success md-simple"
            :disabled="isSubmitButtonDisabled"
            >{{ $t('disagree') }}</md-button
          ></a
        >
        <md-button
          class="md-success"
          @click="update"
          :disabled="isSubmitButtonDisabled"
          >{{ $t('agree_terms') }}</md-button
        >
      </md-card-actions>
    </md-card>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex';

export default {
  data() {
    return {
      es: [],
      showTerm: false,
      version: '',
      termsOfService: '',
      isSubmitButtonDisabled: false,
    };
  },
  mounted() {
    this.fetchTerms()
      .then((e) => {
        this.showTerm = e.data.show_term;
        this.version = e.data.version;
        this.termsOfService = e.data.terms_of_service;

        if (this.showTerm == false) {
          this.$router.push({ path: '/console/' });
        }
      })
      .catch((e) => {
        this.$router.push({ path: '/console/' });
      });
  },
  computed: {
    ...mapGetters(['currentUser', 'consoleConfigs']),
    current_user() {
      return this.currentUser;
    },
    configs() {
      return this.consoleConfigs;
    },
  },
  methods: {
    ...mapActions(['fetchTerms', 'postTerms']),
    update: function () {
      this.isSubmitButtonDisabled = true;

      this.postTerms()
        .then((e) => {
          this.$router.push({ path: '/console/' });
        })
        .catch((e) => {
          this.es = e.response.data.errors;
          this.$notify({
            title: e.response.data.message,
            type: 'danger',
          });
        })
        .then((e) => {
          this.isSubmitButtonDisabled = false;
        });
    },
  },
};
</script>
